package ru.sicamp.sicamphelper.db.entity

import org.jetbrains.exposed.dao.LongEntity
import org.jetbrains.exposed.dao.LongEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import ru.sicamp.sicamphelper.db.table.Rooms
import ru.sicamp.sicamphelper.generator.Info

class Room(id: EntityID<Long>) : LongEntity(id) {
    companion object : LongEntityClass<Room>(Rooms)

    @Info
    var name by Rooms.name
    @Info
    var type by Rooms.type
    @Info
    var description by Rooms.description
}
